2023-07-02 23:01:21 +0800 JiaYanwei <wxmedit@gmail.com>

	* wxMEdit v3.2:
	 1. added new feature: show file size in human readable format.
	 2. added a option that always use certain encoding to open files.
	 3. added GTK+ 3 and Wayland support.
	 4. added High DPI supoport under Windows.
	 5. redisigned the icons by jerome KASPER <neon.king.fr[at]gmail.com>.
	 6. changed some keyboard shortcuts, see https://github.com/wxMEdit/wxMEdit/wiki/Keyboard-shortcuts-change-in-wxMEdit-3.2 .
	 7. updated GB18030 support to GB18030-2022 standard.
	 8. updated Unicode block descriptions for Unicode 15.0 (require ICU 72 or higher).
	 9. fixed crash in text mode when a line exceed the limit of line length.
	10. fixed crash when pressing OK button in "About wxMEdit" window.
	11. fixed not responding when warping by window with text containing some tab characters.
	12. fixed broken triple click behavior in wxMEdit 3.1.
	13. fixed that the height of Information Window in MadEdit/wxMEdit (built with wxMSW-2.8) always reduce by 4.
	14. fixed fonts and encodings not restored after restart.
	15. fixed that cannot type characters via AltGr key.
	16. fixed cursor and selection rendering under Linux.
	17. fixed that IME candidate window doesn't follow the caret under Windows 10.
	18. added French translation by jerome KASPER <neon.king.fr[at]gmail.com>.
	19. updated Simplified Chinese translation.
	20. other minor changes and bug fixes.


2016-03-16 15:36:06 +0800 JiaYanwei <wxmedit@gmail.com>

	* wxMEdit v3.1:
	 1. added a killer feature: word boundary with Chinese/Japanese/Thai/Lao/Khmer and Burmese characters etc.
	 2. added a killer feature: word-wrap meet the Unicode® Standard Annex `#14`: Unicode Line Breaking Algorithm.
	 3. added new feature: column align.
	 4. added toolbar icon & shortcut for Inserting Ordered Sequence.
	 5. changed End-of-Line mark patterns.
	 6. updated Unicode block descriptions for Unicode 8.0 (require ICU 56 or higher).
	 7. fixed incorrect word boundary with non-English characters when selecting word.
	 8. fixed incorrect word-wrap with non-English letters.
	 9. fixed broken characters input with numpad in wxMEdit that built with wxWidgets-3.0 GTK2.
	10. fixed incorrect behavior of when Ctrl-Backspace pressed at beginning of a text file OR at zero-width selection in column mode.
	11. fixed that cannot select the whole word wraped in different lines by double-click.
	12. fixed that triple-click cannot select a whole wrapped line.
	13. fixed that files are not keep in hex mode after restart & restore.
	14. fixed newline redundance when copying in regular text mode.
	15. updated Spanish translation by Carlos Sánchez <carlos1994sanchez[at]gmail.com>.
	16. updated Japanese translation by Tilt <tiltstr[at]gmail.com>.
	17. updated Simplified Chinese translation.
	18. updated Traditional Chinese translation by Vincent_TW.
	19. updated Russian translation by Будинов Станислав <stabud[at]yandex.ru>.
	20. other minor changes and bug fixes.


2015-08-03 12:52:41 +0800 JiaYanwei <wxmedit@gmail.com>

	* wxMEdit v3.0:
	 1. added a killer feature: Insert Ordered Sequence.
	 2. added new options to display/print bookmark independent of line number.
	 3. added a option whether enable dot matching new-line in regular expression.
	 4. added a feature that show searching message in status bar when Search/Replace Dialog is invisible.
	 5. improved bookmark appearance for displaying and printing.
	 6. improved Tab and EOF mark pattern, make it easy to distinguish Tab mark from space mark.
	 7. fixed that there are too few characters limited in a line with certain word wrap settings.
	 8. fixed that width of list items in Syntax Highlighting Settings Dialog are not updated on resizing.
	 9. fixed not responding when counting/replacing-all any zero-length assertions.
	10. updated Unicode block descriptions for Unicode 7.0 (require ICU 54 or higher).
	11. added German translation by Ronny Steiner <post[at]sirsteiner.de>.
	12. added Polish translation by Adam Massalski <massaada[at]wp.pl>.
	13. updated Simplified Chinese translation.
	14. updated Japanese translation by Tilt <tiltstr[at]gmail.com>.
	15. updated Spanish translation by Carlos Sánchez <carlos1994sanchez[at]gmail.com>.
	16. other minor changes and bug fixes.


2014-12-26 21:37:12 +0800 JiaYanwei <wxmedit@gmail.com>

	* wxMEdit v2.9.9:
	 1. added right-click context menu for each tab.
	 2. added more information for Word Count Dialog.
	 3. added new feature: close files under given folder.
	 4. added new features: close to the left/right, close all but this.
	 5. added bookmark buttons to toolbar.
	 6. added encoding aliases support for Find-in-Files Dialog and Options Dialog.
	 7. added always saving & restoring normalize window size support for UNIX like OS.
	 8. improved localization for syntax title.
	 9. fixed crash when saving a empty file.
	10. fixed crash when opening Find Dialog with max line length < 100 and find-text history not empty.
	11. fixed crash when purging find/replace-text history immediately after wxMEdit start.
	12. fixed that syntax type is always reset on saving even manually changed.
	13. updated translations of wxmedit.desktop.
	14. updated Simplified Chinese translation.
	15. updated Traditional Chinese translation by Vincent_TW.
	16. updated Spanish translation by Carlos Sánchez <carlos1994sanchez[at]gmail.com>.
	17. updated Japanese translation by Tilt <tiltstr[at]gmail.com>.
	18. other minor changes and bug fixes.


2014-09-18 13:01:42 +0800 JiaYanwei <wxmedit@gmail.com>

	* wxMEdit v2.9.8:
	 1. added more choices for whether pasting as hex-string in hex-area when editing in hex-mode.
	 2. added new feature: Paste with Overwriting in Hex Area.
	 3. added more common used encoding aliases and show them in Encoding Conversion Dialog.
	 4. added localization support when open homepage and downloads page.
	 5. added Chinese translations support for zh_HK, zh_MO, zh_SG and zh.
	 6. added an option to place configuration files into %APPDATA% directory under Windows.
	 7. made default window size bigger.
	 8. made manual update checking asynchronously as same as automatic update checking.
	 9. improved encoding groups.
	10. fixed bugs detected by clang-analyzer.
	11. fixed memory leak warning when debugging finished under Windows.
	12. updated FreeBSD packaging that switched to pkgng via ports.
	13. updated Simplified Chinese translation.
	14. updated Traditional Chinese translation by Vincent_TW.
	15. updated Spanish translation by Carlos Sánchez <carlos1994sanchez[at]gmail.com>.
	16. updated Japanese translation by Tilt <tiltstr[at]gmail.com>.
	17. other minor changes and bug fixes.


2014-04-03 11:00:01 +0800 JiaYanwei <wxmedit@gmail.com>

	* wxMEdit v2.9.7:
	 1. added new encoding "CP437 Variant for ASCII Art" to support ASCII-Art better.
	 2. added automatically checking for updates.
	 3. added bookmark support [mainly by Gospodin Gyurov (aka Gogo) <ggurov[at]yahoo.com>].
	 4. added new commands: delete previous/next word (by Gogo).
	 5. added search option "Wrap around".
	 6. added Credits tab in About Dialog.
	 7. added Misc tab in Options Dialog.
	 8. added selecting a line by triple click (mainly by cfreeer <cfreeer[at]users.sf.net>).
	 9. added updating syntax highlighting on saving file (mainly by cfreeer).
	10. added FreeBASIC syntax file.
	11. added grouping of encodings.
	12. added purging histories support.
	13. added more choices for copying in hex-area and added them into Options Dialog.
	14. added Russian translation by Shamil Bikineyev <shamilbi[at]gmail.com>.
	15. improved maximized behavior under Windows (by Gogo).
	16. improved system integration under Windows.
	17. improved display effect of the Word-Count information.
	18. changed behavior of selecting next word as other editors.
	19. changed notification messages of Search/Replace Dialog showing in the bottom bar of the dialog.
	20. fixed always not wrap around when replacing.
	21. fixed that the files "a b" and "aÀb" cannot be opened simultaneously under Windows Chinese Edition.
	22. fixed assertion failed with debug version of MadEdit/wxMEdit when mouse capture lost.
	23. fixed incorrect behavior when switch out from wxMEdit/MadEdit on selecting text.
	24. fixed incorrect behavior when update an opened file and then click the editing area.
	25. updated Simplified Chinese, Japanese, Spanish translations.
	26. other minor changes and bug fixes.


2013-09-12 21:38:09 +0800 JiaYanwei <wxmedit@gmail.com>

	* wxMEdit v2.9.6:
	 1. improved Mac OS X support.
	 2. redesigned all dialogs with wxSmith and fixed dialog size problems.
	 3. refactored Encoding Detector and fixed encoding detection problems.
	 4. fixed hex mode repaint problem under windows.
	 5. fixed crash under Unix like OS when open Find In Files Result panel if the caret was in top several lines of text editing area.
	 6. fixed wxWidgets error when remove file association.
	 7. updated RPM, debian and FreeBSD packaging files.
	 8. fixed crash on restart if "Max line length before Line-Wrap" was set too large.
	 9. improved build configurations.
	10. updated Spanish translation by Carlos Sánchez <carlos1994sanchez[at]gmail.com>.
	11. updated Japanese translation by Tilt <tiltstr[at]gmail.com>.
	12. updated Simplified Chinese translation.
	13. updated Traditional Chinese translation by Denir Li <denir.li[at]gmail.com>.
	14. other minor changes.


2013-09-12 14:53:59 +0800 JiaYanwei <wxmedit@gmail.com>

	* wxMEdit v2.9.5.2:
	 1. updated translations for "Printout" and Syntax Highlighting Settings.
	 2. updated Spanish translation.
	 3. added Spanish to language chooser of General Settings.


2013-09-05 13:47:34 +0800 JiaYanwei <wxmedit@gmail.com>

	* wxMEdit v2.9.5:
	 1. added a killer feature: BOM support for GB18030.
	 2. added CP850, CP852, CP855, KOI8-U, ISO-8859-16, Windows-1258 and GB18030 support.
	 3. made more system encodings(e.g. Windows-1258) detectable.
	 4. changed EUC-JP implementation to meet CP20932.
	 5. fixed crash when delete a character in a line which contains two or more characters with MadEdit/wxMEdit built with vc2010.
	 6. fixed Fedora build and packing by Huaren Zhong <huaren.zhong[at]gmail.com>.
	 7. fixed recent lists case sensitive and truncated in menu bug.
	 8. fixed Double-byte conversion bug.
	 9. added Spanish translation by Carlos Sánchez <carlos1994sanchez[at]gmail.com>.
	10. updated Japanese translation by Tilt <tiltstr[at]gmail.com>.
	11. updated Chinese translations.


2013-07-31 22:55:43 +0800 JiaYanwei <wxmedit@gmail.com>

	* wxMEdit v2.9.4:
	 1. changed Unicode escape to ICU code point format {U+XXXX}-{U+XXXXXX}.
	 2. introduced Bakefile building system and removed MSVC/MinGW building files.
	 3. refactored encoding implementation.
	 4. added test case for conversion between Unicode and Single-Byte Encodings.
	 5. fixed incorrect conversion between Unicode and Single-Byte Encodings.
	 6. added CP866 and KOI8-R support.


2013-05-21 21:34:12 +0800 JiaYanwei <wxmedit@gmail.com>

	* wxMEdit v2.9.3:
	 1. replaced Word Counter with ICU implemention and partly changed the counter rules.
	 2. avoided the bug 4373 of wxMSW-2.8.12 or lower.
	 3. fixed crash on UNIX-like OS when create a second tab.
	 4. updated translation files and Chinese translations.


2013-05-12 19:20:49 +0800 JiaYanwei <wxmedit@gmail.com>

	* wxMEdit v2.9.2:
	 1. application icon: added 16x16, 32x32 and 256x256 resolutions.
	 2. removed standalone tool image2xpm.
	 3. fixed crash when hex-replacing a not-empty string with empty by "Replace All".
	 4. fixed crash when hex-searching a blank string.
	 5. updated Simplified Chinese translation.


2013-05-07 01:19:25 +0800 JiaYanwei <wxmedit@gmail.com>

	* wxMEdit v2.9.1:
	 1. updated Simplified Chinese translation.
	 2. removed wxAUI and adjusted build configurations.
	 3. fixed locale-dependent case conversion bug.


2013-05-05 01:06:39 +0800 JiaYanwei <wxmedit@gmail.com>

	* wxMEdit v2.9.0:
	 1. removed xpressive and adjusted build configurations.
	 2. updated translation files.
	 3. swithed the project to wxMEdit.
	 4. changed the version 0.2.9 to 2.9.0.


2009-02-14 11:40:18 +0800 Alston Chen <madedit@gmail.com>

	* MadEdit v0.2.9:
	 1. added that restore the encoding and font(name, size) of a file when reopening it.
	 2. added that use Ctrl+MouseWheel to decrease or increase the font size.
	 3. added Japanese language. Thank Tilt for the translations.
	 4. fixed a bug when converting between Tab and Space char in wordwrap mode.
	 5. modified that the dialogs will stay on top of main window, not top of all windows.
	 6. modified the action when associating file types.
	 7. some minor changes.


2007-10-08 22:16:57 +0800 Alston Chen <madedit@gmail.com>

	* MadEdit v0.2.8:
	 1. added Japanese Kanji supporting for converting Chinese characters.
	 2. added the function to split window into multiple Tab Controls (by using wxAuiNotebook)ScreenShot: http://madedit.sourceforge.net/screenshot06.png
	 3. added the function to convert between WordWraps and NewLine chars.
	 4. added File-Type Associations Dialog under win32.
	 5. added Search-In-Selection function when searching and replaceing.
	 6. added Count function in SearchDialog.
	 7. added ToHalfWidthByOptions, ToFullWidthByOptions to choose the characters(ASCII,Japanese,Korean)you want to convert.
	 8. added ConvertSpaceToTab and ConvertTabToSpace functions.
	 9. added new syntax files for D, SQL, Verilog and VHDL.
	10. fixed that cannot replace text in Hex-Mode.
	11. many bug-fixes and changes.


2007-02-28 08:46:13 +0800 Alston Chen <madedit@gmail.com>

	* MadEdit v0.2.7:
	 1. fixed that ISO-8859-7 charset doesn't available under Win32.
	 2. fixed that incorrectly handle Japanese halfwidth characters in Shift-JIS charset.
	 3. supported XIM Over-The-Spot feature under Linux/FreeBSD(wxGTK).
	 4. added options to set Date/Time format.
	 5. added a option to reload files previously open on startup.
	 6. added a option to restore previous caret position when files are opened.
	 7. fixed a crashing bug that incorrectly detect MAC/DOS new-line char on HTML/PHP files.
	 8. changed for showing CR, LF, CRLF and EOF in different marks.


2006-12-27 21:06:51 +0800 Alston Chen <madedit@gmail.com>

	* MadEdit v0.2.6:
	 1. improved the redraw speed under Linux (wxGTK).
	 2. added charset-detector, a port to C of "universalchardet", for detecting the encoding of files.Thanks Jserv (http://blog.linux.org.tw/~jserv/archives/001672.html).
	 3. improved the speed of FindInFiles function.
	 4. fixed crashing bug when opening a file begins with a 0x0b/0x0c character.
	 5. added new syntax files for Fortran, TeX/LaTeX, Squirrel, C#, Visual Basic, ASP(VBScript).
	 6. many misc changes and bug-fixes.


2006-05-09 19:17:50 +0800 Alston Chen <madedit@gmail.com>

	* MadEdit v0.2.5:
	 1. fixed crashes when copying and pasting data between TextMode and ColumnMode under Linux.
	 2. fixed sometimes crashes when using FindInFiles function under Linux.
	 3. added a dockable Information Window for listing the results of FindInFiles.
	 4. added Exclude Filters in FindInFiles dialog.
	 5. added a button ("<<") to get the path of the editing document in FindInFiles dialog.
	 6. added support for multiple shortcuts on all menu and editor commands.
	 7. added support for Mouse-Over-Get-Word of StarDict under Win32.
	 8. added Trim Trialing Spaces function.
	 9. added Sort Lines function.
	10. added a new option to temporary disable or enable MouseSelectToCopy function when pressing Ctrl key.
	11. added a new option to choose the Language of UI.
	12. added Italian language. Thank Contardi Angelo for the translations.


2006-04-12 16:11:59 +0800 Alston Chen <madedit@gmail.com>

	* MadEdit v0.2.4-2:
	 1. fixed that lost the last byte of clipboard data (Linux version only).


2006-04-11 22:12:20 +0800 Alston Chen <madedit@gmail.com>

	* MadEdit v0.2.4:
	 1. added custom Syntax Highlighting settings.
	 2. added Find/Replace In Files function.
	 3. some minor changes.


2006-03-16 18:43:27 +0800 Alston Chen <madedit@gmail.com>

	* MadEdit v0.2.3:
	 1. improved the loading speed for the files contain U+10000~U+10FFFF widechars.
	 2. improved the repaint speed when the lines are very long(>1MB).
	 3. added ToHalfWidth, ToFullWidth functions.
	 4. added WordCount function.
	 5. added InsertDataTime function.
	 6. added ecReturnNoIndent(Shift-Enter) to insert NewLine char without indentation.
	 7. now 'ESC' key can be used in custom keybindings.
	 8. some minor changes.


2006-03-04 02:11:54 +0800 Alston Chen <madedit@gmail.com>

	* MadEdit v0.2.2:
	 1. fixed that menu icons will cause crash under Win98.
	 2. fixed that input incorrect CJK chars under Win98.
	 3. fixed that copy and then paste data in Column/Hex modes will cause crash under Win98.
	 4. added a messagebox to notify that madedit cannot find the matched string.
	 5. added ToUpperCase, ToLowerCase, InvertCase functions.
	 6. some misc changes.


2006-02-14 15:44:02 +0800 Alston Chen <madedit@gmail.com>

	* MadEdit v0.2.1-2:
	 1. fixed that it will crash when close ConvertEncodingDialog by pressing top-right 'X' button.
	 2. fixed the bug of AutoCompletePair function.


2006-02-13 00:00:00 +0800 Alston Chen <madedit@gmail.com>

	* MadEdit v0.2.1:
	 1. fixed copy/paste text to/from PrimarySelection when use mouse under Linux.
	 2. added ConvertEncoding function.
	 3. added ConvertChineseChar(Simplified<=>Traditional) in both of file and clipboard.
	 4. added AutoCompletePair function. The AutoCompletePair must be defined in syntax files.
	 5. improved AutoIndent function. The IndentChar and UnindentChar must be defined in syntax files.


2006-02-03 18:48:30 +0800 Alston Chen <madedit@gmail.com>

	* MadEdit v0.2.0:
	 1. fixed syntax parsing error in non-global range(ex: PHP, JavaScript).
	 2. fixed that reopen the same file under Win32 because compare filename with case sensitive.
	 3. added new option of custom KeyBindings.
	 4. added MouseSelectToCopy and MiddleMouseToPaste functions.
	 5. added new syntax files for CSS, Windows Registry File, XML.


2006-01-23 09:29:18 +0800 Alston Chen <madedit@gmail.com>

	* MadEdit v0.1.9.9:
	 1. fixed the incorrect searching result on some search patterns.
	 2. added SaveAll function.
	 3. some misc changes.


2006-01-19 00:00:00 +0800 Alston Chen <madedit@gmail.com>

	* MadEdit v0.1.9:
	 1. replaced Boost.Regex with Boost.Xpressive for searching & replacing Regular Expressions.now we can use wxDevCpp with the precompiled wxWidgets library(*.devpak, Unicode version)on www.devpaks.org to build MadEdit under win32.
	 2. added a new function for Multi-Line Editing in Column Mode.
	 3. several misc changes & bug-fixs.


2006-01-03 22:10:16 +0800 Alston Chen <madedit@gmail.com>

	* MadEdit v0.1.8:
	 1. fixed that randomly crash when quit MadEdit for Linux version.
	 2. fixed EscapeChar syntax checking.
	 3. fixed that Print/Preview incorrectly when the position of Horizontal-ScrollBar is not 0.
	 4. added a new option of 'Default Encoding'.
	 5. added automatically detect the encoding of FileName under Linux by current locale.When save a file, MadEdit will use UTF8 as default encoding of the FileName.
	 6. added new syntax files for diff/patch, JavaScript and Ruby.


2005-12-26 14:02:42 +0800 Alston Chen <madedit@gmail.com>

	* MadEdit v0.1.7:
	 1. fixed several misc bugs.
	 2. fixed MultiByte Encoding <==> Unicode converting error in v0.1.6 under Linux.
	 3. removed the linking to the unnecessary libs(e.g. libtiff, libjpeg and libpng) for Linux version.
	 4. added Print&PrintPreview functions.(Known bug: cannot print/preview correctly on the papers with landscape orientation.)
	 5. added Comment(Ctrl-M)/Uncomment(Ctrl-Shift-M) functions. MadEdit will add/remove LineComment string to the selected lines,the LineComment must be defined in the syntax files.


2005-12-12 15:13:24 +0800 Alston Chen <madedit@gmail.com>

	* MadEdit v0.1.6:
	 1. fixed that cannot search U+10000~U+10FFFF ucs4 char under win32.
	 2. added Increase&Decrease Indent functions.When select multi-lines and press 'Tab' will Inc-Indent, and press 'Shift-Tab' will Dec-Indent.


2005-11-27 17:21:22 +0800 Alston Chen <madedit@gmail.com>

	* MadEdit v0.1.5:
	 1. fixed several bugs.
	 2. now MadEdit will open the same files once only.
	 3. improved Reload() function, and MadEdit will reload the files which were changed by another app.


2005-11-07 21:35:49 +0800 Alston Chen <madedit@gmail.com>

	* MadEdit v0.1.4:
	 1. fixed the bug of Mark Brace incorrect position when use WordWrap.
	 2. fixed several misc. bugs.
	 3. used a new approach to determine file types:a. by file extension b. by the context of first line c. by file name.
	 4. added a setting of "Do Not Save Settings to MadEdit.cfg after MadEdit Finish",it's useful when you edit 'MadEdit.cfg' by MadEdit.


2005-10-24 16:55:12 +0800 Alston Chen <madedit@gmail.com>

	* MadEdit v0.1.3:
	 1. fixed several bugs.
	 2. added Mark Brace Pair.
	 3. added Go To Left/Right Brace (Ctrl-[ and Ctrl-], press Shift to select).the Brace-Pair must be defined in syntax_*.syn files.
	 4. added Cut Line (Ctrl-Shift-L).
	 5. added Insert Tab Char (Ctrl-~ or Ctrl-`).
	 6. supported Drop Files from window-manager under Linux.
	 7. improved the speed of repaint in HexMode.


2005-10-16 21:20:47 +0800 Alston Chen <madedit@gmail.com>

	* MadEdit v0.1.2:
	 1. fixed several bugs.
	 2. added Replace Text/Hex functions.
	 3. added some fine improvements.


2005-10-10 13:47:07 +0800 Alston Chen <madedit@gmail.com>

	* MadEdit v0.1.1:
	 1. fixed some bugs.
	 2. added RightClick Popup Menu.
	 3. added new syntax files.
	 4. added FindPrevious & FindHexNext/Previous functions.
	 5. changed ShortCuts of Text/Column/HexMode to Alt-1, Alt-2, Alt-3.


2005-10-07 19:02:59 +0800 Alston Chen <madedit@gmail.com>

	* MadEdit v0.1.0:
	 1. added Editing & Searching functions.


2005-09-13 14:15:49 +0800 Alston Chen <madedit@gmail.com>

	* MadEdit v0.0.9:
	 1. Preview & Alpha Test Version.
